Django Monitoring - Feature #535

Add Django SQL query parsing
02/22/2013 06:19 AM - Luke Murphey

Status: Closed Start date: 02/22/2013
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.0

Description

Parse the SQL query logs including:

® The query time
¢ The action performed (SELECT, UPDATED, etc.)

2012-11-02 22:35:07,804 [DEBUG] django.db.backends: (0.000) UPDATE "reader_verse" SET "division_id
" = 1250, "sequence_number" = 3, "indicator" = 311, "content" = évtuywv
oUv Tailc &miotoAalg eic ApPfnda xvpnv apixkéunv, &Evla cluvodov
Tov T'adldalwv moinodupevog éxéleuvca Toug mpéoferg dinyelobal Tnv
¢nl tolg mempaypévolc und Tov mepl ToOv Twvdbnv dpynv kal piconovnpiav,

"original_content" = <?xml version="1.0" ?><verse>e)ntuxw\n
ou)=n tai=s e)pistolai=s ei)s *)/arbhla kw/mhn a)fiko/mhn, e)/nga su/nodon
tw=n *galilai/wn poihsa/menos e)ke/leusa touls pre/sbeis dihgei=sgai th\n
e)pi\ toi=s pepragme/nois u(po\ tw=n peri\ to\n *)iwna/ghn o)rgh\n kai\ misoponhri/an,
</verse> WHERE "reader_verse"."id" = 3790 ; args=(1250, 3, u'311l', '"\xellxbc\x90\xce\xbd\xcf\x84\x
cf\x85\xcf\x87\xel\xbd\xbc\xce\xbd\n\xce\xbf\xel\xbd\x96\xce\xbd \xcf\x84\xce\xbl\xel\xbf\x96\xcf\
x82 \xel\xbc\x90\xcf\x80\xce\xb9\xcf\x83\xcf\x84\xce\xbf\xce\xbb\xce\xbl\xel\xbf\x96\xcf\x82 \xce\
xb5\xel\xbc\xb0\xcf\x82 \xellxbc\x8c\xcf\x81l\xce\xb2\xce\xb7\xce\xbb\xce\xbl \xce\xbal\xel\xbd\xbd\
xce\xbc\xce\xb7\xce\xbd \xel\xbc\x80\xcf\x86\xce\xb9\xce\xba\xel\xbd\xb9\xce\xbc\xce\xb7\xce\xbd,
\xel\xbc\x94\xce\xbd\xce\xb8\xce\xbl \xcf\x83\xel\xbd\xbb\xce\xbd\xce\xbf\xce\xb4\xce\xbf\xce\xbd\
n\xcf\x84\xel\xbf\xb6\xce\xbd \xce\x93\xce\xbl\xce\xbb\xce\xbI\xce\xbb\xce\xbl\xel\xbd\xb7\xcf\x89
\xce\xbd \xcf\x80\xce\xbf\xce\xb9\xce\xb7\xcf\x83\xel\xbd\xbl\xce\xbc\xce\xb5\xce\xbd\xce\xbf\xcf\
%82 \xel\xbc\x90\xce\xba\xel\xbd\xb3\xce\xbb\xce\xb5\xcf\x85\xcf\x83\xce\xbl \xcf\x84\xce\xbf\xel\
xbd\xba\xcf\x82 \xcf\x80\xcf\x81\xel\xbd\xb3\xcf\x83\xce\xb2\xce\xb5\xce\xb9\xcf\x82 \xce\xbid\xce\
xbI\xce\xb7\xce\xb3\xce\xb5\xel\xbf\x96\xcf\x83\xce\xb8\xce\xbl\xce\xb9 \xcf\x84\xel\xbd\xbd\xce\x
bd\n\xel\xbc\x90\xcf\x80\xel\xbd\xb6 \xcf\x84\xce\xbf\xel\xbf\x96\xcf\x82 \xcf\x80\xce\xb5\xcf\x80
\xcf\x81\xce\xbl\xce\xb3\xce\xbc\xel\xbd\xb3\xce\xbd\xce\xbf\xce\xb9\xcf\x82 \xel\xbd\x91\xcf\x80\
xel\xbd\xb8 \xcf\x84\xel\xbf\xb6\xce\xbd \xcf\x80\xce\xb5\xcf\x81\xel\xbd\xb6 \xcf\x84\xel\xbd\xb8
\xce\xbd \xel\xbc\xb8\xcf\x89\xce\xbd\xel\xbd\xbl\xce\xb8\xce\xb7\xce\xbd \xel\xbd\x80\xcf\x81l\xce
\xb3\xel\xbd\xbd\xce\xbd \xce\xba\xce\xbl\xel\xbd\xb6 \xcel\xbc\xce\xb9\xcf\x83\xce\xbf\xcf\x80\xce
\xbf\xce\xbd\xce\xb7\xcf\x81l\xel\xbd\xb7\xce\xbl\xce\xbd, \n', u'<?xml version="1.0" ?><verse>e)nt
uxw\\n\nou)=n tai=s e)pistolai=s ei)s *)/arbhla kw/mhn a)fiko/mhn, e)/nga su/nodon\ntw=n *galilai/
wn poihsa/menos e)ke/leusa toul\s pre/sbeis dihgei=sgai th\\n\ne)pi\\ toi=s pepragme/nois u(po\\ t
w=n peri\\ to\\n *)iwna/ghn o)rgh\\n kai\\ misoponhri/an, \n</verse>', 3790)
2012-11-02 22:35:07,805 [DEBUG] django.db.backends: (0.000) INSERT INTO "reader_verse" ("division_
id", "sequence_number", "indicator", "content", "original_content") VALUES (1250, 4, 312, , ); arg
s=[1250, 4, u'312', '', '']
2012-11-02 22:35:07,808 [DEBUG] django.db.backends: (0.000) SELECT (1) AS "a" FROM "reader_verse"

WHERE "reader_verse"."id" = 3791 LIMIT 1; args=(3791,)
2012-11-02 22:35:07,809 [DEBUG] django.db.backends: (0.000) UPDATE "reader_verse" SET "division_id
" = 1250, "sequence_number" = 4, "indicator" = 312, "content" = xal ©¢ kxupwoelav &pol TAC YWPAg au

TV TNV npootactav,

History

#1 - 02/22/2013 06:22 AM - Luke Murphey

- Target version set to 1.0

#2 - 02/23/2013 08:43 AM - Luke Murphey

04/25/2024 1/2




- Status changed from New to Closed
- Assignee set to Luke Murphey
- % Done changed from 0 to 100
